#!/usr/bin/make -f

BUILDDIR = _build

%:
	dh $@ --builddirectory=$(BUILDDIR) --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build
	# go install doesn’t install dangling symlinks and such
	cp -af pathtools/testdata $(BUILDDIR)/src/github.com/google/blueprint/pathtools

override_dh_auto_install:
	dh_auto_install
	# go install doesn’t install dangling symlinks and such
	cp -af pathtools/testdata debian/tmp/usr/share/gocode/src/github.com/google/blueprint/pathtools

override_dh_link:
	dh_link -Xblueprint/pathtools

override_dh_auto_test:
	-dh_auto_test
